<div class="determination-summary">
  <app-content-banner [isDashboard]="false" pageName="Determination Review"></app-content-banner>
  <mat-card class="determination-summary-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <det-client-banner [isHousingProgramType]="true"></det-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [(selectedIndex)]="selectedTab" (selectedTabChange)="tabChanged()">
        <!--Summary Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Summary</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="determination-summary-small-box mat-elevation-z4" fxLayout="column">
                <div class="determination-summary-container mat-elevation-z4">
                  <form class="section">
                    <div fxLayout="column" flex>

                      <div fxLayout="row">
                        <div fxFlex="25">
                          <span fxFlex="100" class="label-bold label-margin-left-10">Vulnerability : </span>
                          <span fxFlex="100" class="label-margin-left-10">{{ vulnerabilityTypeDescription }}</span>
                        </div>
                        <div fxFlex="25">
                          <span fxFlex="100" class="label-bold label-margin-left-10">HUD Chronic : </span>
                          <span fxFlex="100" class="label-margin-left-10">{{ hudTypeDescription }}</span>
                        </div>
                      </div>
                      <br>

                      <div fxLayout="row" *ngIf="applicationDeterminationData && applicationDeterminationData.pactApplicationId > 0">
                        <ag-grid-angular #agGrid class="ag-theme-balham" style="width: 100%" [columnDefs]="summaryColumnDefs"
                          [defaultColDef]="summaryDefaultColDef" [rowData]="summaryRowData" [context]="summaryContext"
                          [rowSelection]="summaryRowSelection" [gridOptions]="summaryGridOptions" [rowClassRules]="rowClassRules"
                          (gridReady)="onSummaryGridReady($event)">
                        </ag-grid-angular>
                      </div>
                      <br>

                      <!-- <div fxLayout="row">
                        <div fxFlex="25">
                          <span fxFlex="100">Determination Date: {{ determinationDate }}</span>
                        </div>
                        <div fxFlex="35">
                          <span fxFlex="100">Reviewer: {{ reviewerName }}</span>
                        </div>
                        <div fxFlex="20">
                          <span fxFlex="100">Approval Period: {{ approvalFrom }}</span>
                        </div>
                        <div fxFlex="20">
                          <span fxFlex="100">To : {{ approvalTo }}</span>
                        </div>
                      </div> -->

                    </div>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>

        <!--Conditions/Recommendations Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Conditions/Recommendations</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="determination-summary-small-box mat-elevation-z4" fxLayout="column">
                <div class="determination-summary-container mat-elevation-z4">
                  <form class="section" [formGroup]="conditionRecommendationGroup">
                    <!-- Levels Approved and Housing Types -->
                    <mat-card class="mat-elevation-z4 margin-top-10" *ngIf="isSMI || isNYC3 || isNYC1515 || isESSHI">
                      <div fxLayout="column" flex>
                        <div fxLayout="row" *ngIf="isSMI">
                          <div fxFlex="100">
                            <span fxFlex="45" class="label-color-red label-margin-left-10">Levels Approved for Supportive
                              Housing for the Seriously Mentally Ill : </span>
                            <span fxFlex="55" class="margin-top-10 levelofapprove-container">
                              <div *ngFor="let levelApprovedForSMI of detDeterminationLevelApproved">
                                <div *ngIf="levelApprovedForSMI.isVisible">
                                  <mat-checkbox
                                    class="checkbox-style"
                                    [checked]="levelApprovedForSMI.isChecked"
                                    (change)="levelApprovedForSMIChange($event, levelApprovedForSMI)">
                                  </mat-checkbox>
                                  <span class="checkbox-label-style">{{levelApprovedForSMI.levelOfCareTypeDescription}}</span>
                                </div>

                              </div>
                              <!-- <mat-checkbox *ngFor="let levelApprovedForSMI of detDeterminationLevelApproved"
                                class="checkbox-style"
                                [checked]="levelApprovedForSMI.isChecked"
                                (change)="levelApprovedForSMIChange($event, levelApprovedForSMI)">
                                {{levelApprovedForSMI.levelOfCareTypeDescription}}
                              </mat-checkbox> -->
                            </span>
                          </div>
                        </div>

                        <div fxLayout="row" *ngIf="isNYC3 || isNYC1515 || isESSHI">
                          <div fxFlex="100">
                            <span fxFlex="10" class="label-color-red label-margin-left-10">Housing Type : </span>
                            <span fxFlex="90" class="margin-top-10">
                              <mat-checkbox *ngFor="let housingType of housingTypes" class="checkbox-style"
                                [checked]="housingType.isChecked"
                                (change)="housingTypeChange($event, housingType)">
                                {{housingType.housingTypeDescription}}
                              </mat-checkbox>
                            </span>
                          </div>
                        </div>
                      </div>
                    </mat-card>
                    <br>
                    <!-- Conditions and/or Recommendations -->  
                    <!-- <mat-card class="mat-elevation-z4" *ngIf="isNYC3 || isNYC1515"> -->
                    <mat-card class="mat-elevation-z4" *ngIf="isAnyPopulationApproved">  
                      <div fxLayout="row">
                        <div fxFlex="100" [ngClass]="{'disableDiv': isConditionOrRecommendationExistsDisabled}">
                          <span fxFlex="35" class="label-color-red label-margin-left-10">Conditions of Approval and/or
                            Recommendations : </span>
                          <span fxFlex="65" class="margin-top-10">
                            <mat-radio-group aria-label="Select an option" formControlName="conditionOrRecommendationExists">
                              <div class="radio-button-space">
                                <mat-radio-button value="Y" [disabled]="isConditionOrRecommendationExistsDisabled" (click)="conditionOrRecommendationExistsSelected('Y')"> Yes
                                </mat-radio-button>
                              </div>
                              <div class="radio-button-space">
                                <mat-radio-button value="N" [disabled]="isConditionOrRecommendationExistsDisabled" (click)="conditionOrRecommendationExistsSelected('N')"> No
                                </mat-radio-button>
                              </div>
                            </mat-radio-group>
                          </span>
                        </div>
                      </div>

                      <br>

                      <div fxLayout="row" *ngIf="applicationDeterminationData && applicationDeterminationData.pactApplicationId > 0 && IsConditionExist">
                        <div fxFlex="100">
                          <span fxFlex="60" class="margin-top-10" >
                                <table class="ag-theme-balham condition-Recommendation-table">
                                  <thead>
                                    <tr>
                                      <th class="algin-left">Conditions of Approval and/or Recommendations</th>
                                      <th>Condition</th>
                                      <th>Recommendation</th>
                                    </tr>
                                  </thead>
                                  <tbody>
                                    <tr *ngFor="let item of conditionRecommendationRowData">
                                      <td class="algin-left">{{item.conditionRecommendationTypeDescription}}</td>
                                      <!--Except Harm Reduction Service-->
                                      <td class="grid-cell-bg" *ngIf="item.conditionRecommendationType !== 854">
                                        <mat-checkbox [checked]="item.isCondition"
                                        (change)="conditionRecommendationCellChange($event, item, 'C', 'CR')">
                                        </mat-checkbox>
                                      </td>
                                      <td class="grid-cell-bg" *ngIf="item.conditionRecommendationType !== 854">
                                        <mat-checkbox [checked]="item.isRecommendation"
                                        (change)="conditionRecommendationCellChange($event, item, 'R', 'CR')">
                                        </mat-checkbox>
                                      </td>
                                      <!--Harm Reduction Service With Pop E Approved-->
                                      <td class="grid-cell-bg" *ngIf="item.conditionRecommendationType === 854 && isNYC3PopEApproved">
                                        <mat-checkbox [checked]="item.isCondition" [disabled]="true">
                                        </mat-checkbox>
                                      </td>
                                      <td class="grid-cell-bg" *ngIf="item.conditionRecommendationType === 854 && isNYC3PopEApproved">
                                        <mat-checkbox [checked]="item.isRecommendation" [disabled]="true">
                                        </mat-checkbox>
                                      </td>
                                      <!--Harm Reduction Service With Pop E DisApproved-->
                                      <td class="grid-cell-bg" *ngIf="item.conditionRecommendationType === 854 && !isNYC3PopEApproved">
                                        <mat-checkbox [checked]="item.isCondition" 
                                        (change)="conditionRecommendationCellChange($event, item, 'C', 'CR')">
                                        </mat-checkbox>
                                      </td>
                                      <td class="grid-cell-bg" *ngIf="item.conditionRecommendationType === 854 && !isNYC3PopEApproved">
                                        <mat-checkbox [checked]="item.isRecommendation" 
                                        (change)="conditionRecommendationCellChange($event, item, 'R', 'CR')">
                                        </mat-checkbox>
                                      </td>
                                    </tr>
                                  </tbody>
                                </table>
                          </span>

                          <span class="span-width-20"></span>

                          <span fxFlex="40" class="margin-top-10">
                              <table class="ag-theme-balham condition-Recommendation-table">
                                <thead>
                                  <tr>
                                    <th class="algin-left">Recommendations Only</th>
                                    <th>Recommendation</th>
                                  </tr>
                                </thead>
                                <tbody>
                                  <tr *ngFor="let item of onlyRecommendationRowData">
                                    <td class="algin-left">{{item.conditionRecommendationTypeDescription}}</td>
                                    <td class="grid-cell-bg">
                                      <mat-checkbox [checked]="item.isRecommendation"
                                      (change)="conditionRecommendationCellChange($event, item, 'R', 'R')">
                                      </mat-checkbox>
                                    </td>
                                  </tr>
                                </tbody>
                              </table>
                          </span>
                        </div>
                      </div>
                    </mat-card>
                    
                    <div *ngIf="isSufficientlyStabilized">
                      <br>
                    </div>

                    <!-- Additional Letter Comment -->  
                    <mat-card class="mat-elevation-z4">
                      <div fxLayout="row">
                        <div fxFlex="100">
                          <span fxFlex="20" class="label-margin-left-10">Additional Letter Comments :</span>
                          <span fxFlex="80">
                            <mat-form-field appearance="outline" fxFlex="100">
                              <textarea matTextareaAutosize matAutosizeMinRows="10" matAutosizeMaxRows="15" matInput #letterComment 
                              name="letterComment" formControlName="letterComment" required maxlength="2000"></textarea>
                              <mat-hint class="condition-label-hint1">(Maximum entry of 2000 characters;
                                  {{2000 - letterComment.value?.length || 0}} characters remaining)</mat-hint>
                            </mat-form-field>
                          </span>
                        </div>
                      </div>
                    </mat-card>

                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>

        <!--Determination Letter Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Determination Letter</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="determination-summary-small-box mat-elevation-z4" fxLayout="column">
                <div class="determination-summary-container mat-elevation-z4">
                  <form class="section">
                    <iframe width="100%" height="100%" style="height: 500px!important" [src]="determinationLetterURL"
                      *ngIf="determinationLetterURL" tabindex="0">
                    </iframe>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
    <div class="content-main">
      <div class="content-sub">
        <div class="content-sub-button-parent-left" *ngIf="isSaveVisible">
          <button type="button" mat-raised-button color="primary" (click)="saveTabData(0)" matTooltip="Save"
            matTooltipClass="pact-tooltip">Save</button>
        </div>
        <div class="content-sub-button-parent-right">
          <button type="button" mat-raised-button color="primary" (click)="previousTab()" matTooltip="Previous"
            matTooltipClass="pact-tooltip">Previous</button>
          &nbsp;&nbsp;
          <button type="button" mat-raised-button color="primary" (click)="nextTab()" matTooltip="Next"
            matTooltipClass="pact-tooltip">Next</button>
        </div>
      </div>
    </div>
  </mat-card>
</div>